﻿using System;
using System.Linq;
using System.Windows;
using InteLect.Mobile.Data;
using Microsoft.Phone.Controls;
using InteLectDataContext = InteLect.Mobile.Data.InteLectDataContext;

namespace InteLect.Mobile
{
    public partial class WorkOrderPage : PhoneApplicationPage
    {
        private InteLectDataContext m_DataContext = new InteLectDataContext(); // Acceso a la base de datos local
        private Usuario m_Usuario; // Usuario actual
        private OrdenTrabajo m_OrdenTrabajo; // Orden de trabajo actual

        public WorkOrderPage()
        {
            // Asignación de controladores de eventos para la página
            this.Loaded += new RoutedEventHandler(this.OnLoaded);

            this.InitializeComponent();
        }

        public void OnLoaded(object sender, RoutedEventArgs e)
        {
            // Obtenemos el usuario actual
            this.m_Usuario = this.m_DataContext.Usuarios.First();

            // Obtenemos la órden de trabajo actual
            this.m_OrdenTrabajo = this.m_DataContext.OrdenesTrabajo.Single(entity => entity.OrdenTrabajoId == new Guid(this.NavigationContext.QueryString["Id"]));

            // Asignamos el contexto de datos de la página para asociar a los controles visuales
            this.DataContext = this.m_OrdenTrabajo;
        }

        private void btnSave_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            decimal consumo;

            if (!decimal.TryParse(this.tbxConsumo.Text, out consumo))
            {
                MessageBox.Show("El consumo proporcionado no es válido.", "Error", MessageBoxButton.OK);
            }
            else
            {
                // Guardamos el consumo leído en la base de datos local (esto provocará que se sincronice en el próximo ciclo de sincronización)
                try
                {
                    this.m_OrdenTrabajo.Cantidad = consumo;
                    this.m_DataContext.SubmitChanges();
                }
                catch
                {
                    MessageBox.Show("La cantidad especificada supera la precisión.", "Error", MessageBoxButton.OK);
                    this.m_OrdenTrabajo.Cantidad = null;
                }

                // Volvemos a la página principal
                this.NavigationService.GoBack();
            }
        }
    }
}
