﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.OrdenTrabajo>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript" src="../../Scripts/jquery-1.4.1.min.js"></script>
    <script type="text/javascript">
        $.ajaxSetup({ cache: false });

        function getClientByServiceId(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetClientByServiceId/")%>' + id, function (client) {
                $(divId).html(client.Nombre + " " + client.Apellidos);
            });
        }

        function getAddressByServiceId(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetAddressByServiceId/")%>' + id, function (address) {
                $(divId).html(address.Nombre + "<br />" + address.CodigoPostal + " - " + address.Poblacion + " (" + address.Provincia + ")");
            });
        }

        function getCompanyByServiceId(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetCompanyByServiceId/")%>' + id, function (company) {
                $(divId).html(company.Nombre);
            });
        }

        function getMeasureByServiceId(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetMeasureByServiceId/")%>' + id, function (measure) {
                $(divId).html(measure.Nombre);
            });
        }

        function getInspectorById(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetInspectorById/")%>' + id, function (inspector) {
                $(divId).html(inspector.Nombre + " " + inspector.Apellidos);
            });
        }
    </script>

    <h2>Detalles de la órden de trabajo</h2>

    <fieldset>
        <legend><strong>Órden de trabajo</strong></legend>
        
        <div class="display-label">Fecha:</div>
        <div class="display-field"><%: String.Format("{0:d}", Model.Fecha) %></div>
        
        <br />
        <div class="display-label">Fecha de lectura:</div>
        <div class="display-field"><%: String.Format("{0:g}", Model.FechaLectura) %></div>
        
        <br />
        <div class="display-label">Cantidad:</div>
        <div class="display-field"><%: String.Format("{0:F}", Model.Cantidad) %></div>
        
        <br />
        <div class="display-label">Cliente:</div>
        <div class="display-field"><div id="client"/></div>

        <br />
        <div class="display-label">Dirección:</div>
        <div class="display-field"><div id="address"/></div>

        <br />
        <div class="display-label">Compañía:</div>
        <div class="display-field"><div id="company"/></div>

        <br />
        <div class="display-label">Medida:</div>
        <div class="display-field"><div id="measure"/></div>

        <br />
        <div class="display-label">Inspector:</div>
        <div class="display-field"><div id="inspector"/></div>

        <br />
        <div class="display-label">Comentarios:</div>
        <div class="display-field"><%: Model.Comentarios %></div>
        
    </fieldset>
    <p>
        <%: Html.ActionLink("Editar", "Editar", new { id=Model.OrdenTrabajoId }) %> |
        <%: Html.ActionLink("Volver al listado", "Index") %>
    </p>

        <script type="text/javascript">
            $(document).ready(function () {
                getClientByServiceId("<%: Model.ServicioId %>", "#client");
                getAddressByServiceId("<%: Model.ServicioId %>", "#address");
                getCompanyByServiceId("<%: Model.ServicioId %>", "#company");
                getMeasureByServiceId("<%: Model.ServicioId %>", "#measure");
                getInspectorById("<%: Model.UsuarioId %>", "#inspector");
            });
        </script>

</asp:Content>

