﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<InteLect.Web.InteLectAdministracionService.OrdenTrabajo>>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript" src="../../Scripts/jquery-1.4.1.min.js"></script>
    <script type="text/javascript">
        $.ajaxSetup({ cache: false });

        function getClientByServiceId(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetClientByServiceId/")%>' + id, function (client) {
                $(divId).html(client.Nombre + " " + client.Apellidos);
            });
        }

        function getAddressByServiceId(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetAddressByServiceId/")%>' + id, function (address) {
                $(divId).html(address.Nombre + "<br />" + address.CodigoPostal + " - " + address.Poblacion + " (" + address.Provincia + ")");
            });
        }

        function getCompanyByServiceId(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetCompanyByServiceId/")%>' + id, function (company) {
                $(divId).html(company.Nombre);
            });
        }

        function getMeasureByServiceId(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetMeasureByServiceId/")%>' + id, function (measure) {
                $(divId).html(measure.Nombre);
            });
        }

        function getInspectorById(id, divId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetInspectorById/")%>' + id, function (inspector) {
                $(divId).html(inspector.Nombre + " " + inspector.Apellidos);
            });
        }
    </script>

    <h2>Listado de órdenes de trabajo</h2>

    <table>
        <tr>
            <th>
                Fecha
            </th>
            <th>
                Fecha de lectura
            </th>
            <th>
                Cantidad
            </th>
            <th>Cliente</th>
            <th>Dirección</th>
            <th>Compañía</th>
            <th>Medida</th>
            <th>Inspector</th>
            <th>
                Comentarios
            </th>
            <th></th>
        </tr>

    <% int i = 0;
        foreach (var item in Model) { %>
    
        <tr>
            <td>
                <%: String.Format("{0:d}", item.Fecha) %>
            </td>
            <td>
                <%: String.Format("{0:g}", item.FechaLectura) %>
            </td>
            <td>
                <%: String.Format("{0:F}", item.Cantidad) %>
            </td>
            <td><div id="client<%:i%>"/></td>
            <td><div id="address<%:i%>"/></td>
            <td><div id="company<%:i%>"/></td>
            <td><div id="measure<%:i%>"/></td>
            <td><div id="inspector<%:i%>"/></td>
            <td>
                <%: item.Comentarios %>
            </td>
            <td>
                <%: Html.ActionLink("Editar", "Editar", new { id = item.OrdenTrabajoId })%> |
                <%: Html.ActionLink("Detalles", "Detalles", new { id = item.OrdenTrabajoId })%> |
                <%: Html.ActionLink("Eliminar", "Eliminar", new { id = item.OrdenTrabajoId })%>
            </td>
        </tr>

        <script type="text/javascript">
            $(document).ready(function () {
                getClientByServiceId("<%: item.ServicioId %>", "#client<%:i%>");
                getAddressByServiceId("<%: item.ServicioId %>", "#address<%:i%>");
                getCompanyByServiceId("<%: item.ServicioId %>", "#company<%:i%>");
                getMeasureByServiceId("<%: item.ServicioId %>", "#measure<%:i%>");
                getInspectorById("<%: item.UsuarioId %>", "#inspector<%:i%>");
            });
        </script>
    
    <% i++;
       } %>

    </table>

    <p>
        <%: Html.ActionLink("Nueva órden de trabajo", "Nueva") %>
    </p>

</asp:Content>

