﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.Servicio>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript" src="../../Scripts/jquery-1.4.1.min.js"></script>
    <script type="text/javascript">
        $.ajaxSetup({ cache: false });

        function getClientByAddressId(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetClientByAddressId/")%>' + id, function (client) {
                $(divId).html(client.Nombre + " " + client.Apellidos);
            });
        }

        function getAddressById(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetAddressById/")%>' + id, function (address) {
                $(divId).html(address.Nombre + "<br />" + address.CodigoPostal + " - " + address.Poblacion + " (" + address.Provincia + ")");
            });
        }

        function getCompanyByMeasureId(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetCompanyByMeasureId/")%>' + id, function (company) {
                $(divId).html(company.Nombre);
            });
        }

        function getMeasureById(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetMeasureById/")%>' + id, function (measure) {
                $(divId).html(measure.Nombre);
            });
        }
    </script>

    <h2>Editar servicio</h2>

    <% using (Html.BeginForm("Guardar", "Servicios"))
       {%>
        <%: Html.ValidationSummary(true) %>
        
        <fieldset>
            <legend><strong>Servicio</strong></legend>
            
            <div class="editor-label">
                <%: Html.HiddenFor(model => model.ServicioId)%>
                <%: Html.HiddenFor(model => model.DireccionId)%>
                <%: Html.HiddenFor(model => model.MedidaId)%>
            </div>
            
            <br />
            <div class="editor-label">
                Código:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Codigo) %>
                <%: Html.ValidationMessageFor(model => model.Codigo) %>
            </div>
            
            <br />
            <div class="display-label">Fecha de alta:</div>
            <div class="display-field"><%: String.Format("{0:d}", Model.FechaAlta) %></div>
            
            <br />
            <div class="editor-label">
                Fecha de baja:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.FechaBaja, String.Format("{0:g}", Model.FechaBaja)) %>
                <%: Html.ValidationMessageFor(model => model.FechaBaja) %>
            </div>

            <br />
            <div class="display-label">Cliente:</div>
            <div class="display-field"><div id="client"/></div>

            <br />
            <div class="display-label">Dirección:</div>
            <div class="display-field"><div id="address"/></div>

            <br />
            <div class="display-label">Compañía:</div>
            <div class="display-field"><div id="company"/></div>

            <br />
            <div class="display-label">Medida:</div>
            <div class="display-field"><div id="measure"/></div>

            <br />
            <div class="editor-label">
                Comentarios:
            </div>
            <div class="editor-field">
                <%: Html.TextAreaFor(model => model.Comentarios)%>
                <%: Html.ValidationMessageFor(model => model.Comentarios) %>
            </div>
            
            <p>
                <input type="submit" value="Guardar" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%: Html.ActionLink("Volver al listado", "Index") %>
    </div>

    <script type="text/javascript">
        $(document).ready(function () {
            getClientByAddressId("<%: Model.DireccionId %>", "#client");
            getAddressById("<%: Model.DireccionId %>", "#address");
            getCompanyByMeasureId("<%: Model.MedidaId %>", "#company");
            getMeasureById("<%: Model.MedidaId %>", "#measure");
        });
    </script>

</asp:Content>

