﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.Servicio>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript" src="../../Scripts/jquery-1.4.1.min.js"></script>
    <script type="text/javascript">
        $.ajaxSetup({ cache: false });

        function getClients(selId) {
            $.post('<%: ResolveUrl("~/Servicios/GetClients/")%>', function (clients) {
                var items = "";
                $.each(clients, function (i, item) {
                    if (item.Nombre == "") {
                        items += "<option value='" + item.ClienteId + "'></option>";
                    } else {
                        items += "<option value='" + item.ClienteId + "'>" + item.Apellidos + ", " + item.Nombre + "</option>";
                    }
                });
                if (items != "") {
                    $(selId).html(items);
                    $(selId).removeAttr("disabled");
                }
                else {
                    $(selId).html("");
                    $(selId).attr("disabled", "disabled");
                }
                document.getElementById("DireccionId").selectedIndex = 0;
            });
        }

        function getAddresesByClientId(id, selId) {
            $(selId).html("");
            $(selId).attr("disabled", "disabled");
            $.post('<%: ResolveUrl("~/Servicios/GetAddresesByClientId/")%>' + id, function (addresses) {
                var items = "";
                $.each(addresses, function (i, item) {
                    items += "<option value='" + item.DireccionId + "'>" + item.Nombre + "</option>";
                });
                if (items != "") {
                    $(selId).html(items);
                    $(selId).removeAttr("disabled");
                }
                else {
                    $(selId).html("");
                    $(selId).attr("disabled", "disabled");
                }
            });
        }

        function getCompanies(selId) {
            $.post('<%: ResolveUrl("~/Servicios/GetCompanies/")%>', function (companies) {
                var items = "";
                $.each(companies, function (i, item) {
                    items += "<option value='" + item.CompañiaId + "'>" + item.Nombre + "</option>";
                });
                if (items != "") {
                    $(selId).html(items);
                    $(selId).removeAttr("disabled");
                }
                else {
                    $(selId).html("");
                    $(selId).attr("disabled", "disabled");
                }
                document.getElementById("MedidaId").selectedIndex = 0;
            });
        }

        function getMeasuresByCompanyId(id, selId) {
            $(selId).html("");
            $(selId).attr("disabled", "disabled");
            $.post('<%: ResolveUrl("~/Servicios/GetMeasuresByCompanyId/")%>' + id, function (measures) {
                var items = "";
                $.each(measures, function (i, item) {
                    items += "<option value='" + item.MedidaId + "'>" + item.Nombre + "</option>";
                });
                if (items != "") {
                    $(selId).html(items);
                    $(selId).removeAttr("disabled");
                }
                else {
                    $(selId).html("");
                    $(selId).attr("disabled", "disabled");
                }
            });
        }

        $(document).ready(function () {
            $('#Cliente').change(function () {
                $.ajaxSetup({ cache: false });
                var selectedItem = $(this).val();
                if (selectedItem == "" || selectedItem == 0) {
                    $("#DireccionId").html("");
                    $("#DireccionId").attr("disabled", "disabled");
                } else {
                    getAddresesByClientId(selectedItem, "#DireccionId");
                }
            });
        });

        $(document).ready(function () {
            $('#Compañia').change(function () {
                $.ajaxSetup({ cache: false });
                var selectedItem = $(this).val();
                if (selectedItem == "" || selectedItem == 0) {
                    $("#MedidaId").html("");
                    $("#MedidaId").attr("disabled", "disabled");
                } else {
                    getMeasuresByCompanyId(selectedItem, "#MedidaId");
                }
            });
        });

        $(document).ready(function () {
            document.getElementById("Cliente").selectedIndex = -1;
            getClients("#Cliente");
            document.getElementById("Compañia").selectedIndex = -1;
            getCompanies("#Compañia");
        });

    </script>

    <h2>Nuevo servicio</h2>

    <% using (Html.BeginForm("GuardarNuevo", "Servicios"))
       {%>
        <%: Html.ValidationSummary(true) %>

        <fieldset>
            <legend>Servicio</legend>
            
            <div class="editor-label">
                Código:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Codigo) %>
                <%: Html.ValidationMessageFor(model => model.Codigo) %>
            </div>
            
            <br />
            <div class="editor-label">
                Cliente / Dirección:
            </div>
            <div class="editor-field">
                <select name="Cliente" id="Cliente" disabled="disabled">
                </select>

                <%: Html.DropDownListFor(model => model.DireccionId, new SelectListItem[0], new { disabled = "disabled" })%>
            </div>

            <br />
            <div class="editor-label">
                Compañía / Medida:
            </div>
            <div class="editor-field">
                <select name="Compañia" id="Compañia" disabled="disabled">
                </select>

                <%: Html.DropDownListFor(model => model.MedidaId, new SelectListItem[0], new { disabled = "disabled" })%>
            </div>

            <br />
            <div class="editor-label">
                Comentarios:
            </div>
            <div class="editor-field">
                <%: Html.TextAreaFor(model => model.Comentarios) %>
                <%: Html.ValidationMessageFor(model => model.Comentarios) %>
            </div>
            
            <p>
                <input type="submit" value="Guardar" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%: Html.ActionLink("Volver al listado", "Index") %>
    </div>

</asp:Content>

